Bug 1054202 - batik: failing javadoc task doesn't fail the build
Summary: batik: failing javadoc task doesn't fail the build
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: batik
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Stanislav Ochotnicky
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 12:52 UTC by Stanislav Ochotnicky
Modified: 2014-06-18 07:42 UTC (History)
3 users (show)

Fixed In Version: batik-1.8-0.12.svn1230816.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 10:17:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Apache JIRA BATIK-1065 0 None None None Never

Description Stanislav Ochotnicky 2014-01-16 12:52:53 UTC
Description of problem:
When batik is being built and javadoc tool runs out of memory (or encounters some other failure) batik will still succesfully finish build but will produce incomplete javadocs. 

javadoc task should have failonerror="yes" added so that whole build fails in these cases. 

As for OOM problem a change of maxmemory="128m" to higher limit (512m for example) solves the issue.

Version-Release number of selected component (if applicable):
batik-1.8-0.11.svn1230816.el7

How reproducible:
most of the time during builds. Look for "java.lang.OutOfMemoryError" in build logs

Steps to Reproduce:
1. build the package (rpmbuild)

Actual results:
Incomplete javadoc, errors in build logs

Expected results:
failed build in case of problems, otherwise complete javadoc

Comment 5 Matěj Cepl 2014-03-26 16:49:26 UTC
When adding line

sed -i 's/maxmemory=.*/maxmemory="50m"/' build.xml

to the beginning of %build section, rhpkg local fails.

Comment 6 Matěj Cepl 2014-03-26 16:56:20 UTC
Yes, when I done with the previous commit in the packaging repo (commit 83e2f9e16a3b24d01033fab6dbe87da5d7301f16) then build didn’t fail and batik-javadoc subpackage is empty.

Comment 7 Ludek Smid 2014-06-13 10:17:34 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.